List stored queries
Retrieves list of all stored queries on the system matched by qualified_query_name as pattern.
If pattern should given be in the format of [{namespace}::]{query-name}, and when is empty, it will be treated as "wildcard" in the search.
Examples:
GET https://cataniamc.prod.cadasto.com/v1/definition/query/org.openehrwill list all versions of all queries with names starting withorg.openehrGET https://cataniamc.prod.cadasto.com/v1/definition/query/org.openehr::compositionswill list all versions of the query namedorg.openehr::compositions
Path Parameters
- Type: string · QueryName
qualified _query _name requiredThe (fully qualified) name of the query to be executed, in a format of
[{namespace}::]{query-name}.
Responses
- application/json
Request Example for get/definition/query/{qualified_query_name}
curl https://cataniamc.prod.cadasto.com/v1/definition/query/org.openehr::compositions
[
{
"name": "org.openehr::compositions",
"type": "aql",
"version": "1.0.1",
"saved": "2017-07-16T19:20:30.450+01:00",
"q": "SELECT c FROM EHR e[ehr_id/value=$ehr_id] \n CONTAINS COMPOSITION c[$compositionid] \nWHERE c/name/value = 'Vitals'"
},
{
"name": "org.openehr::compositions",
"type": "aql",
"version": "1.1.7",
"saved": "2018-06-13T09:37:20.530+01:00",
"q": "SELECT c FROM EHR e[ehr_id/value=$ehr_id] \n CONTAINS COMPOSITION c[$uid] \nWHERE c/name/value = 'Vitals'"
}
]